# $Revision: 1.16 $, $Date: 2012/02/08 22:06:48 $
%define		qtver	4.7.4

Summary:	Polkit-qt-1 - Qt API wrapper library around polkit
Summary(pl.UTF-8):	Polkit-qt-1 - obudowanie bibliotek polkit w API w stylu Qt
Name:		polkit-qt-1
Version:	0.103.0
Release:	4
License:	LGPL v2+
Group:		Libraries
Source0:	ftp://ftp.kde.org/pub/kde/stable/apps/KDE4.x/admin/%{name}-%{version}.tar.bz2
# Source0-md5:	a105e233e6733fb072c9080cd7ae1af2
URL:		http://www.kde.org/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.6.2
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.96
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
Requires:	QtCore >= %{qtver}
Requires:	QtDBus >= %{qtver}
Provides:	polkit-qt = %{version}-%{release}
Obsoletes:	polkit-qt < 0.103.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Polkit-qt-1 is a wrapper library around polkit libraries, which lets
developers write easily applications using polkit-1, and even write
custom authentication agents.

%description -l pl.UTF-8
Polkit-qt-1 to biblioteka obudowująca biblioteki polkit, pozwalająca
programistom w łatwy sposób tworzyć aplikacje korzystające z bibliotek
polkit-1, a nawet pisać własnych agentów uwierzytelniających.

%package devel
Summary:	Development files for Polkit-qt-1 core library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki Polkit-qt-1
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtCore-devel >= %{qtver}
Requires:	QtDBus-devel >= %{qtver}
Provides:	polkit-qt-devel = %{version}-%{release}
Obsoletes:	polkit-qt-devel < 0.103.0-1

%description devel
Development files for Polkit-qt-1 core library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki Polkit-qt-1.

%package agent
Summary:	Qt API wrapper arount polkit-agent library
Summary(pl.UTF-8):	Obudowanie biblioteki polkit-agent w API w stylu Qt
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description agent
Qt API wrapper arount polkit-agent library.

%description agent -l pl.UTF-8
Obudowanie biblioteki polkit-agent w API w stylu Qt.

%package agent-devel
Summary:	Development files for Polkit-qt-1 Agent library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki Polkit-qt-1 Agent
Group:		Development/Libraries
Requires:	%{name}-agent = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description agent-devel
Development files for Polkit-qt-1 Agent library.

%description agent-devel -l pl.UTF-8
Pliki programistyczne biblioteki Polkit-qt-1 Agent.

%package gui
Summary:	Qt API wrapper arount polkit library - GUI functions
Summary(pl.UTF-8):	Obudowanie biblioteki polkit w API w stylu Qt - funkcje GUI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtGui >= %{qtver}
Provides:	polkit-qt-gui = %{version}-%{release}
Obsoletes:	polkit-qt-gui < 0.103.0-1

%description gui
Qt API wrapper arount polkit library - GUI functions.

%description gui -l pl.UTF-8
Obudowanie biblioteki polkit w API w stylu Qt - funkcje GUI.

%package gui-devel
Summary:	Development files for Polkit-qt-1 GUI library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki Polkit-qt-1 GUI
Group:		Development/Libraries
Requires:	%{name}-gui = %{version}-%{release}
# polkit-qt-agent-1 is required by polkit-qt-1.pc
Requires:	%{name}-agent-devel = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	QtGui >= %{qtver}
Provides:	polkit-qt-gui-devel = %{version}-%{release}
Obsoletes:	polkit-qt-gui-devel < 0.103.0-1

%description gui-devel
Development files for Polkit-qt-1 GUI library.

%description gui-devel -l pl.UTF-8
Pliki programistyczne biblioteki Polkit-qt-1 GUI.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG" \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DLIB_INSTALL_DIR=%{_libdir} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	-DQT_QMAKE_EXECUTABLE=%{_bindir}/qmake-qt4

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	agent -p /sbin/ldconfig
%postun	agent -p /sbin/ldconfig

%post	gui -p /sbin/ldconfig
%postun	gui -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README README.porting TODO
%attr(755,root,root) %{_libdir}/libpolkit-qt-core-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-qt-core-1.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit-qt-core-1.so
%dir %{_includedir}/polkit-qt-1
%dir %{_includedir}/polkit-qt-1/PolkitQt1
%{_includedir}/polkit-qt-1/PolkitQt1/ActionDescription
%{_includedir}/polkit-qt-1/PolkitQt1/Authority
%{_includedir}/polkit-qt-1/PolkitQt1/Details
%{_includedir}/polkit-qt-1/PolkitQt1/Identity
%{_includedir}/polkit-qt-1/PolkitQt1/Subject
%{_includedir}/polkit-qt-1/PolkitQt1/TemporaryAuthorization
%{_includedir}/polkit-qt-1/polkitqt1-actiondescription.h
%{_includedir}/polkit-qt-1/polkitqt1-authority.h
%{_includedir}/polkit-qt-1/polkitqt1-details.h
%{_includedir}/polkit-qt-1/polkitqt1-export.h
%{_includedir}/polkit-qt-1/polkitqt1-identity.h
%{_includedir}/polkit-qt-1/polkitqt1-subject.h
%{_includedir}/polkit-qt-1/polkitqt1-temporaryauthorization.h
%{_includedir}/polkit-qt-1/polkitqt1-version.h
%{_pkgconfigdir}/polkit-qt-core-1.pc
%{_libdir}/cmake/PolkitQt-1

%files agent
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit-qt-agent-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-qt-agent-1.so.1

%files agent-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit-qt-agent-1.so
%{_includedir}/polkit-qt-1/PolkitQt1/Agent
%{_includedir}/polkit-qt-1/polkitqt1-agent-*.h
%{_pkgconfigdir}/polkit-qt-agent-1.pc

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit-qt-gui-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-qt-gui-1.so.1

%files gui-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit-qt-gui-1.so
%{_includedir}/polkit-qt-1/PolkitQt1/Gui
%{_includedir}/polkit-qt-1/polkitqt1-gui-*.h
%{_pkgconfigdir}/polkit-qt-gui-1.pc
%{_pkgconfigdir}/polkit-qt-1.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: polkit-qt-1.spec,v $
Revision 1.16  2012/02/08 22:06:48  arekm
- release 4

Revision 1.15  2012/02/07 20:01:09  glen
- provide upgrade path from polkit-qt

Revision 1.14  2012/02/07 17:08:07  baggins
- rel 2
- obsolete polkit-qt packages

Revision 1.13  2011/12/27 15:15:02  qboosh
- cmake version

Revision 1.12  2011/12/16 06:10:00  arekm
- up to 0.103.0

Revision 1.11  2011/01/21 13:00:51  arekm
- release 2

Revision 1.10  2010/12/09 18:26:18  qboosh
- updated to 0.99.0 (note: new sonames)

Revision 1.9  2010/11/14 11:11:35  qboosh
- core/agent/gui -devel split
- some real descriptions
- pass QT_QMAKE_EXECUTABLE to find correct qmake
- install-time deps
- package doc files
- License is LGPL
- release 5

Revision 1.8  2010/08/31 22:38:18  shadzik
- rel 4

Revision 1.7  2010/08/31 22:37:46  shadzik
- oops

Revision 1.6  2010/08/31 22:34:34  shadzik
- fix ldconfig for subpackages
- rel 3

Revision 1.5  2010/08/05 10:51:47  shadzik
- devel requires polkit-devel
- rel 2

Revision 1.4  2010/08/05 10:28:03  shadzik
- 0.96.1

Revision 1.3  2009/12/24 01:54:33  shadzik
- more qt4 BRs

Revision 1.2  2009/12/24 01:52:33  shadzik
- %files and stuff, should be ready

Revision 1.1  2009/12/23 23:18:40  shadzik
- polkit-qt successor; initial may not work

Revision 1.7  2009/12/23 22:55:38  shadzik
- 0.9.3 final and last release
- will be soon obsolete

Revision 1.6  2009/12/20 13:56:04  shadzik
- current snap 1064260

Revision 1.5  2009/11/17 21:51:20  zbyniu
- missing BRs; cleanup

Revision 1.4  2009/07/29 19:59:39  arekm
- rel 2

Revision 1.3  2009/06/11 20:37:19  cactus
- up to 0.9.2 r980477
- use svn export instread checkout

Revision 1.2  2009/05/26 11:52:16  paszczus
- updated to r973053

Revision 1.1  2009/04/29 06:58:11  paszczus
- initial
